<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="generator" content="GitLab Pages" />
    <title>Captures ton socio - Matériel</title>

    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.4.1/dist/css/bootstrap.min.css"
      integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh"
      crossorigin="anonymous"
    />
    <link rel="stylesheet" href="./style.css" />
  </head>
  <body>
    <nav class="navbar navbar-dark bg-dark">
      <div class="container">
        <a class="navbar-brand" href="./index.html"> Captures ton socio </a>
        <ul class="navbar-nav d-flex flex-row">
          <li class="nav-item">
            <a class="nav-link mr-5" href="./index.html">Accueil</a>
          </li>
          <li class="nav-item">
            <a class="nav-link mr-5" href="./material.html">Matériel</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="./experimentations.html"
              >Expérimentations</a
            >
          </li>
        </ul>
      </div>
    </nav>
    <div class="container">
      <h1 class="h1 mt-5">Matériel</h1>

      <!-- Produit 1 -->
      <section class="mt-4">
        <h2 class="material">Raspberry PI</h2>
        <h3>Fabricant</h3>
        <p style="text-align: justify;">
          Newark Corporation, RS Components, Farnell element14
        </p>
        <h3>Modèle</h3>
        <p  style="text-align: justify;">
          Raspberry pi 4 model B
        </p>
        <h3>Usage</h3>
        <p style="text-align: justify;">
          Un raspberry pi est un petit ordinateur très flexible dans son usage pour une multitude de projets comme dans la robotique ou les projets électroniques par exemple. Il permet d’effectuer des processus complexes sans nécessairement avoir toute l’infrastructure d’un ordinateur conventionnel.
        </p>
        <h3>Justification</h3>
        <p style="text-align: justify;">
          L’usage du raspberry pi est pertinent puisqu’il va permettre d’effectuer les processus nécessaires pour jouer des sons et afficher les pages à l’écran en communiquant avec le Arduino.

        </p>
      </section>

      <!-- Produit 2 -->
      <section class="mt-4">
        <h2 class="material">Capteur de mouvement thermique</h2>
        <h3>Fabricant</h3>
        <p style="text-align: justify;">
          N/A
        </p>
        <h3>Modèle</h3>
        <p  style="text-align: justify;">
          HC-SR501 PIR motion sensor
        </p>
        <h3>Usage</h3>
        <p style="text-align: justify;">
          Ce capteur détecte les mouvements fait devant lui et envoie un signal lorsque c’est le cas.

        </p>
        <h3>Justification</h3>
        <p style="text-align: justify;">
          L’usage de ce capteur est pertinent puisqu’il permet une interaction avec le arduino ce qui permet ensuite de faire avancer le jeu.

        </p>
      </section>

      <!-- Produit 3 -->
      <section class="mt-4">
        <h2 class="material">Lumière LED</h2>
        <h3>Fabricant</h3>
        <p style="text-align: justify;">
          Gikfun, DiCUNO, etc...
        </p>
        <h3>Modèle</h3>
        <p  style="text-align: justify;">
          N/A
        </p>
        <h3>Usage</h3>
        <p style="text-align: justify;">
          Les lumières servent à faire de l’éclairage pour toute sorte de fonctions

        </p>
        <h3>Justification</h3>
        <p style="text-align: justify;">
          L’usage des lumières est pour faire un éclairage rouge, jaune et vert qui gardera les usagers au courant de leur avancement dans leur épreuve respective, mais aussi dans le défi en général.

        </p>
      </section>

      <!-- Produit 4 -->
      <section class="mt-4">
        <h2 class="material">Écouteur (Output Sonore)</h2>
        <h3>Fabricant</h3>
        <p style="text-align: justify;">
          Sony, Bose, etc…

        </p>
        <h3>Modèle</h3>
        <p  style="text-align: justify;">
          Variable
        </p>
        <h3>Usage</h3>
        <p style="text-align: justify;">
          Sert à faire retentir un son provenant d’un système en externe

        </p>
        <h3>Justification</h3>
        <p style="text-align: justify;">
          L’usage d’un émetteur de son dans notre projet est nécessaire puisque le arduino et le raspberry pi n’en possèdent pas de base et doivent donc émettre des bruits par un accessoire de son en externe.

        </p>
      </section>

      <!-- Produit 5 -->
      <section class="mt-4">
        <h2 class="material">Arduino</h2>
        <h3>Fabricant</h3>
        <p style="text-align: justify;">
          Arduino LLC
        </p>
        <h3>Modèle</h3>
        <p style="text-align: justify;">
          Arduino Uno R3
        </p>
        <h3>Usage</h3>
        <p style="text-align: justify;">
          L'Arduino est une plateforme open-source utilisée pour créer des objets interactifs. Il peut être programmé pour interagir avec différents composants électroniques. Dans notre projet, l'Arduino communique avec le Raspberry Pi via le bus série pour transmettre des données et des signaux.
        </p>
        <h3>Communication avec le Raspberry Pi</h3>
        <p style="text-align: justify;">
          L'Arduino communique de manière unidirectionnelle avec le Raspberry Pi via le bus série (UART). Il envoie des données au Raspberry Pi, permettant à ce dernier de recevoir des informations sur les événements détectés par l'Arduino. Cette communication est cruciale pour permettre au Raspberry Pi de réagir en fonction des données reçues de l'Arduino, coordonnant ainsi les réponses visuelles et auditives du projet.
        </p>
      </section>
      

      <!-- Produit 6 -->
      <section class="mt-4">
        <h2 class="material">Boutons et Arduino</h2>
        <h3>Fabricant</h3>
        <p style="text-align: justify;">
          Arduino LLC, Sparkfun, Adafruit, etc...
        </p>
        <h3>Modèle</h3>
        <p style="text-align: justify;">
          Différents modèles de boutons compatibles avec l'Arduino
        </p>
        <h3>Usage</h3>
        <p style="text-align: justify;">
          Les boutons intégrés à l'Arduino servent d'interfaces d'entrée pour les utilisateurs. Ils sont configurés pour détecter les pressions physiques et transmettre ces informations à l'Arduino en tant que signaux d'entrée. Ces boutons permettent aux utilisateurs d'initier des actions spécifiques dans le projet, déclenchant des réponses ou des événements précis en fonction de l'interaction physique.
        </p>
      </section>
      

      <!-- Produit 7 -->
      <section class="mt-4">
        <h2 class="material">Écran</h2>
        <h3>Fabricant</h3>
        <p style="text-align: justify;">
          Sony, Samsung, LG, etc...
        </p>
        <h3>Modèle</h3>
        <p style="text-align: justify;">
          Divers
        </p>
        <h3>But</h3>
        <p style="text-align: justify;">
          L'écran sélectionné est utilisé comme une interface visuelle pour afficher les informations, les graphiques ou les retours du projet. Sa fonction principale est de présenter visuellement les données et les résultats du projet
        </p>
      </section>
      <!-- Produit 8 -->
      <section class="mt-4">
        <h2 class="material">Détecteur de distance</h2>
        <h3>Fabricant</h3>
        <p style="text-align: justify;">
          Maxbotix, Sharp, Adafruit, etc.
        </p>
        <h3>Modèle</h3>
        <p style="text-align: justify;">
          Divers
        </p>
        <h3>But</h3>
        <p style="text-align: justify;">
          Le détecteur de distance est essentiel pour mesurer la distance entre une personne et le détecteur. En utilisant des ondes ultrasoniques ou infrarouges, il évalue la proximité d'une personne par rapport à un objet fixé.
        </p>
      </section>
      
    </div>

    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
